REST APIOrganizationOrganization Webhooks

GET

List all webhooks for a specified organization.

Path Params

  • organizationId string required

    at least 1 characters · matches ^[0-9a-f]{32}$

Query Params

  • type string enum
    transfertxRequestpendingapprovaltxRequestTransactionbankAccountidentityStatusidvStatususerKycStateenterpriseKycStateaccessTokenreversaltradeOrderwhitelistApprovedwhitelistRejected
  • prevId string

    at least 1 characters

  • limit string number

Responses

200
OK

Response Body

object

Scoped list response for organization webhooks.
  • webhooks array of objects required
    webhooks object
    • id string required

      matches ^[0-9a-f]{32}$

    • created string date-time required
    • url string uri required
    • version number required
      2 for coins running on API v2.
    • scope string enum required
      walletenterpriseorganizationsafe
    • state string enum required
      If 'active', indicates the webhook can trigger and send to the URL. If 'suspended', indicates the webhook can't trigger.
      activesuspended
    • successiveFailedAttempts number required
    • listenToFailureStates boolean required
      Whether or not to listen to failed transactions on chain.
    • coin string
      A cryptocurrency or token ticker symbol.
    • label string
      Label of the new webhook.
    • walletId string
    • enterpriseId string
    • organizationId string

      matches ^[0-9a-f]{32}$

    • userId string
    • type string enum
      Event type to listen to.
      transfertxRequestpendingapprovaltxRequestTransactionbankAccountidentityStatusidvStatususerKycStateenterpriseKycStateaccessTokenreversaltradeOrderwhitelistApprovedwhitelistRejected
    • numConfirmations number
    • lastAttempt string date-time
    • failingSince string date-time
    • allToken boolean
    • txRequestStates array of string enums
      pendingApprovalcanceledrejectedinitializedpendingDeliverydeliveredpendingUserSignaturependingUserCommitmentpendingUserRSharependingUserGSharereadyToSendsignedfailed
    • txRequestTransactionStates array of string enums
      initializedpendingSignatureeddsaPendingCommitmenteddsaPendingRShareeddsaPendingGShareecdsaMPCv2Round1ecdsaMPCv2Round2ecdsaMPCv2Round3eddsaMPCv2Round1eddsaMPCv2Round2eddsaMPCv2Round3readyToCombineSharessignedhelddeliveredinvalidSignaturerejected
  • nextBatchPrevId string
401
Unauthorized

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
403
Forbidden

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id